burst_counter Class Reference

`#include <receiver_config.h>`

## Public Member Functions

| burst_counter (int osr)
| burst_counter (int osr, uint32_t t1, uint32_t t2, uint32_t t3, uint32_t timeslot_nr)
burst_counter & | operator++ (int)
burst_counter | subtract_timeslots (unsigned int number_of_timeslots)
void | set (uint32_t t1, uint32_t t2, uint32_t t3, uint32_t timeslot_nr)
uint32_t | get_t1 ()
uint32_t | get_t2 ()
uint32_t | get_t3 ()
uint32_t | get_timeslot_nr ()
uint32_t | get_frame_nr ()
uint32_t | get_frame_nr_mod ()
unsigned | get_offset ()

## Constructor & Destructor Documentation

## burst_counter() [1/2]

burst_counter::burst_counter | ( | int | osr | ) |

inline

Referenced by operator++(), and subtract_timeslots().

## burst_counter() [2/2]

burst_counter::burst_counter | ( | int | osr,
|  | uint32_t | t1,
|  | uint32_t | t2,
|  | uint32_t | t3,
|  | uint32_t | timeslot_nr )

inline

## Member Function Documentation

## get_frame_nr()

uint32_t burst_counter::get_frame_nr | ( |  | ) |

inline

## get_frame_nr_mod()

uint32_t burst_counter::get_frame_nr_mod | ( |  | ) |

inline

## get_offset()

unsigned burst_counter::get_offset | ( |  | ) |

inline

## get_t1()

uint32_t burst_counter::get_t1 | ( |  | ) |

inline

## get_t2()

uint32_t burst_counter::get_t2 | ( |  | ) |

inline

## get_t3()

uint32_t burst_counter::get_t3 | ( |  | ) |

inline

## get_timeslot_nr()

uint32_t burst_counter::get_timeslot_nr | ( |  | ) |

inline

## operator++()

burst_counter & burst_counter::operator++ | ( | int |  | ) |

References burst_counter().

## set()

void burst_counter::set | ( | uint32_t | t1,
|  | uint32_t | t2,
|  | uint32_t | t3,
|  | uint32_t | timeslot_nr )

## subtract_timeslots()

burst_counter burst_counter::subtract_timeslots | ( | unsigned int | number_of_timeslots | ) |

References burst_counter().

The documentation for this class was generated from the following file:

- receiver_config.h